apiVersion: apps/v1
kind: Deployment
metadata:
  name: langfuse-web
  namespace: observability
  labels:
    app.kubernetes.io/name: langfuse
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: langfuse
  template:
    metadata:
      labels:
        app.kubernetes.io/name: langfuse
    spec:
      containers:
        - name: langfuse
          image: langfuse/langfuse:2.93.4
          ports:
            - containerPort: 3000
              name: http
          envFrom:
            - secretRef:
                name: langfuse-server
          resources:
            requests:
              cpu: 250m
              memory: 512Mi
            limits:
              cpu: "2"
              memory: 2Gi
